Subject: Re: backward-kill-shell-word widget
From: Daniel Shahaf <[email-masked]>
To: Sebastian Gniazdowski <[email-masked]>
Cc: Zsh hackers list <[email-masked]>
Date: Wed, 13 Jan 2016 01:18:50 +0000
List-Id: Zsh Workers List <zsh-workers.zsh.org>

Sebastian Gniazdowski wrote on Mon, Jan 11, 2016 at 09:05:55 +0100:
> On 10 January 2016 at 21:19, Daniel Shahaf <[email-masked]> wrote:
> > Since that file does have my name on it, though, I'd like to have an
> > explicit license statement on it.  I am releasing my version of that
> > function (the one I posted upthread) under the MIT license.  Would you
> > please update the file's header to reflect the license the file is under?
> 
> Thank you. I've updated the header, and also chosen to use just MIT
> for the whole project.

Thanks!

Sebastian Gniazdowski wrote on Tue, Jan 12, 2016 at 11:36:58 +0100:
> On 11 January 2016 at 09:05, Sebastian Gniazdowski
> <[email-masked]> wrote:
> > I gave the example of Antigen code:
> >
> > local script_loc="$(ls "$location" | grep '\.plugin\.zsh$' | head -n1)
> 
> Example code for zgen would be:
> 
> for script (${location}/*\.plugin\.zsh(N)) -zgen-source "${script}"
> 
> Noshortloops breaks zgen, and short loops are AFAIK harmful as they
> limit Zsh's detection of syntax errors.

I don't think this line of conversation is constructive.

If you are aware of bugs in zgen or antigen, report those bugs to the
respective projects.  But please don't spam -workers@ with mails that
have no content other than enumeration of flaws in existing projects.

Just focus on improving your project.

Daniel